## docker-ce 20.10.3

=== debian/changelog ===
docker-ce (5:20.10.3-7.1) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:25:30 +0800

docker-ce (5:20.10.3-7) buster; urgency=low
  * Version: 20.10.3-7
  * fix loongarch64 to loong64 
 -- wanghuaiqing <wanghuaiqing@loongson.com>  Mon, 23 Aug 2021 19:28:56 +0800

docker-ce (5:20.10.3-6) buster; urgency=low
  * Version: 20.10.3-6
  * add buildx to cli
 -- wanghuaiqing <wanghuaiqing@loongson.com>  Thu, 27 May 2021 19:28:55 +0800

docker-ce (5:20.10.3-5) buster; urgency=low
  * Version: 20.10.3-5
 -- wanghuaiqing <wanghuaiqing@loongson.com>  Thu, 18 Mar 2021 19:28:55 +0800

docker-ce (5:20.10.3-4) buster; urgency=low
  * Version: 20.10.3-4
 -- wanghuaiqing <wanghuaiqing@loongson.com>  Mon, 08 Mar 2021 19:16:22 +0800

docker-ce (5:20.10.3-3) buster; urgency=low
  * Version: 20.10.3-3
 -- wanghuaiqing <wanghuaiqing@loongson.com>  Mon, 08 Mar 2021 19:16:22 +0800
